POST
https://api.examplary.ai/exams/import/classifyQuickly detect what kind of file an uploaded import file is, e.g. test questions or scoring criteria.
Request body
namestringrequired
File name
typestring
MIME type of the file
urlstring· urirequired
HTTPS URL of the uploaded file, without basic auth or port.
Responses
400 — Validation Error
successbooleanrequired
Allowed values:false
errorarray any[]required
dataanyrequired
429 — Rate limit exceeded
Requirements
Rate limit
60 requests per minute per user.
User roles
This endpoint requires the teacher, admin, or owner role to be present.
OAuth scopes
This endpoint requires the exams:write scope to be present.